--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Provides access to the variable scope.
  name: env
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Provides access to the method signature prototypes that are needed at the top of the C file.
  name: prototypes
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: c_type
- !ruby/object:RI::MethodSummary 
  name: translate
- !ruby/object:RI::MethodSummary 
  name: translate_all_of
- !ruby/object:RI::MethodSummary 
  name: translator
comment: 
- !ruby/struct:SM::Flow::P 
  body: The whole point of this project! RubyToC is an actually very simple SexpProcessor that does the final conversion from Sexp to C code. This class has more unsupported nodes than any other (on purpose--we'd like TypeChecker and friends to be as generally useful as possible), and as a result, supports a very small subset of ruby.
- !ruby/struct:SM::Flow::P 
  body: "NOT SUPPORTED: (keep in sync w/ initialize)"
- !ruby/struct:SM::Flow::P 
  body: ":begin, :block_arg, :case, :dstr, :rescue, :self, :super, :when"
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: VERSION
  value: "'1.0.0-beta-5'"
- !ruby/object:RI::Constant 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Function definition
  name: METHOD_MAP
  value: "{      :| => \"or\",     :& => \"and\",     :^ => \"xor\",   }"
full_name: RubyToAnsiC
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: preamble
- !ruby/object:RI::MethodSummary 
  name: process_and
- !ruby/object:RI::MethodSummary 
  name: process_arglist
- !ruby/object:RI::MethodSummary 
  name: process_args
- !ruby/object:RI::MethodSummary 
  name: process_array
- !ruby/object:RI::MethodSummary 
  name: process_block
- !ruby/object:RI::MethodSummary 
  name: process_call
- !ruby/object:RI::MethodSummary 
  name: process_class
- !ruby/object:RI::MethodSummary 
  name: process_const
- !ruby/object:RI::MethodSummary 
  name: process_cvar
- !ruby/object:RI::MethodSummary 
  name: process_dasgn_curr
- !ruby/object:RI::MethodSummary 
  name: process_defn
- !ruby/object:RI::MethodSummary 
  name: process_dummy
- !ruby/object:RI::MethodSummary 
  name: process_dvar
- !ruby/object:RI::MethodSummary 
  name: process_error
- !ruby/object:RI::MethodSummary 
  name: process_false
- !ruby/object:RI::MethodSummary 
  name: process_gvar
- !ruby/object:RI::MethodSummary 
  name: process_hash
- !ruby/object:RI::MethodSummary 
  name: process_iasgn
- !ruby/object:RI::MethodSummary 
  name: process_if
- !ruby/object:RI::MethodSummary 
  name: process_iter
- !ruby/object:RI::MethodSummary 
  name: process_ivar
- !ruby/object:RI::MethodSummary 
  name: process_lasgn
- !ruby/object:RI::MethodSummary 
  name: process_lit
- !ruby/object:RI::MethodSummary 
  name: process_lvar
- !ruby/object:RI::MethodSummary 
  name: process_nil
- !ruby/object:RI::MethodSummary 
  name: process_not
- !ruby/object:RI::MethodSummary 
  name: process_op_asgn_or
- !ruby/object:RI::MethodSummary 
  name: process_or
- !ruby/object:RI::MethodSummary 
  name: process_return
- !ruby/object:RI::MethodSummary 
  name: process_scope
- !ruby/object:RI::MethodSummary 
  name: process_str
- !ruby/object:RI::MethodSummary 
  name: process_true
- !ruby/object:RI::MethodSummary 
  name: process_while
name: RubyToAnsiC
superclass: SexpProcessor
